﻿using System;
using System.Windows;
using Syncfusion.UI.Xaml.Grid;

namespace SyncFusionTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            TestGrid.SelectionChanged += TestGrid_SelectionChanged;
        }

        private void TestGrid_SelectionChanged(object sender, GridSelectionChangedEventArgs e)
        {
            Console.WriteLine($"Added: {e.AddedItems.Count} | Removed: {e.RemovedItems.Count} | TotalSelected: {TestGrid.SelectedItems.Count}");
        }
    }
}
